Installing

pip

pychats can be installed using pip:

$ pip3 install pychats

pychats is written for Python 3, and does not support Python 2.

If you get permission errors, try using sudo:

$ sudo pip3 install pychats

Development

The repository for pychats, containing the most recent iteration, can be found here. To clone the pychats repository directly from there, use:

$ git clone git://github.com/samirelanduk/pychats.git

Requirements

pychats requires the BeautifulSoup library, for parsing Facebook message files. pip will install this automatically when it installs pychats.